
Foreman - Refactor #23939

Template "default" should cause templates to be seeded into all existing orgs and future ones

06/14/2018 02:11 PM - Stephen Benjamin

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.18.0-RC1

Bugzilla link: 1602875 Red Hat JIRA:  

Pull request:    

Description

The original idea behind "default" flag for templates is that they go into every new taxonomy.  It should happen during seeding, and

on new org/loc creation, but it doesn't seem like that's working correctly.  Foreman_ansible, remote execution, and core all do this

themselves manually in their seeders.  To avoid duplication of this code, it would be nice if this could happen in the Template model.

Related issues:

Related to Foreman Remote Execution - Bug #23891: Community Job Templates are... Closed 05/30/2018

History

#1 - 06/14/2018 02:11 PM - Stephen Benjamin

- Related to Bug #23891: Community Job Templates are not assigned to all orgs by default added

#2 - 07/18/2018 05:16 PM - Stephen Benjamin

- Bugzilla link set to 1602875

#3 - 07/19/2018 11:57 AM - Ivan Necas

- Triaged set to No

Do I understand it correctly, that it would mean having some `seed` method in the Templates, that would do:

def self.seed(template)

  sync = !Rails.env.test? && Setting[:remote_execution_sync_templates]

  template = import_raw!(File.read(template), :default => true, :locked => true, :update => sync)

  template.organizations = organizations if SETTINGS[:organizations_enabled] && template.present?

  template.locations = locations if SETTINGS[:locations_enabled] && template.present?

end
